Subject: bug#17942: closed (Re: bug#17942: 24.3.92; pos-visible-in-window-p with PARTIALLY is wrong for the first row only containing a single image)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 05 Jul 2014 07:41:03 +0000

Your bug report

#17942: 24.3.92; pos-visible-in-window-p with PARTIALLY is wrong for the first row only containing a single image

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
17942: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=17942
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#17942: 24.3.92; pos-visible-in-window-p with PARTIALLY is wrong for the first row only containing a single image
From: Eli Zaretskii <[email-masked]>
To: YAMAMOTO Mitsuharu <[email-masked]>
Cc: [email-masked]
Date: Sat, 05 Jul 2014 10:39:59 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Sat, 05 Jul 2014 08:38:26 +0900
> From: YAMAMOTO Mitsuharu <[email-masked]>
> 
> 1. $ emacs -Q &
> 2. Type the following expression and hit C-j in the *scratch* buffer.
> 
>   (save-excursion
>     (goto-char (point-min))
>     (insert-image (create-image "splash.png"))
>     (insert ?\n))
> 
> 3. Ditto.
> 
>    (pos-visible-in-window-p (point-min) nil t)
> 
> Result:
> 
> The expected one is (0 0), but the actual one is (608 188).  As far as
> I tested, this happens at the first row (i.e., (window-start)) only
> containing a single image.  If you remove (insert ?\n) in the first
> expression, then the result is (0 0) as expected.

Fixed in revision 117352 on the emacs-24 branch.

Subject: 24.3.92; pos-visible-in-window-p with PARTIALLY is wrong for the first row only containing a single image
From: YAMAMOTO Mitsuharu <[email-masked]>
To: [email-masked]
Date: Sat, 05 Jul 2014 08:38:26 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Steps to reproduce:

1. $ emacs -Q &
2. Type the following expression and hit C-j in the *scratch* buffer.

  (save-excursion
    (goto-char (point-min))
    (insert-image (create-image "splash.png"))
    (insert ?\n))

3. Ditto.

   (pos-visible-in-window-p (point-min) nil t)

Result:

The expected one is (0 0), but the actual one is (608 188).  As far as
I tested, this happens at the first row (i.e., (window-start)) only
containing a single image.  If you remove (insert ?\n) in the first
expression, then the result is (0 0) as expected.

				     YAMAMOTO Mitsuharu
				[email-masked]

In GNU Emacs 24.3.92.1 (x86_64-apple-darwin13.2.0, GTK+ Version 3.12.2)
 of 2014-07-05 on YAMAMOTO-no-iMac.local
Repository revision: 117350 [email-masked]
Windowing system distributor `The X.Org Foundation', version 11.0.11406000
Configured using:
 `configure --without-imagemagick LDFLAGS=-L/opt/local/lib
 CPPFLAGS=-I/opt/local/include'